Update dependencies

This commit is contained in:
2018-04-30 20:16:12 +01:00
parent c93b9af4b1
commit 9c13f456a3
5 changed files with 3275 additions and 3655 deletions

View File

@@ -2,7 +2,7 @@ version: 2
jobs: jobs:
test: test:
docker: docker:
- image: circleci/node:8.11.1 - image: circleci/node:10.0.0
steps: steps:
- checkout - checkout
- run: - run:
@@ -13,13 +13,24 @@ jobs:
command: npm test command: npm test
build-latest: build-latest:
docker: docker:
- image: circleci/node:8.11.1 - image: circleci/node:10.0.0
steps: steps:
- checkout - checkout
- run: sudo apt install -y rsync - run:
- run: npm install name: Install rsync
- run: npm run build command: sudo apt install -y rsync
- run: bash deploy.sh - run:
name: Install dependencies
command: npm install
- run:
name: Build CSS and JavaScript
command: npm run build
- run:
name: Deploy theme
command: bash build/deploy.sh
- run:
name: Purge Cloudflare cache
command: bash build/purge_cache.sh
workflows: workflows:
version: 2 version: 2
build-latest: build-latest:

10
build/deploy.sh Normal file
View File

@@ -0,0 +1,10 @@
#!/usr/bin/env bash
# Test rsync is installed and ENV variables are set
hash rsync 2>/dev/null || { echo >&2 "Error: rsync is not installed. Aborting."; exit 1; }
[ -z "$SSH_IP" ] && { echo >&2 "Error: SSH_IP is missing. Aborting."; exit 1; }
[ -z "$SSH_USER" ] && { echo >&2 "Error: SSH_USER is missing. Aborting."; exit 1; }
# Deploy theme with rsync
rsync -e "ssh -o StrictHostKeyChecking=no" -avzuh --progress \
theme/* $SSH_USER@$SSH_IP:~/windycoys_theme

View File

@@ -1,14 +1,5 @@
#!/usr/bin/env bash #!/usr/bin/env bash
# Test rsync is installed and ENV variables are set
hash rsync 2>/dev/null || { echo >&2 "Error: rsync is not installed. Aborting."; exit 1; }
[ -z "$SSH_IP" ] && { echo >&2 "Error: SSH_IP is missing. Aborting."; exit 1; }
[ -z "$SSH_USER" ] && { echo >&2 "Error: SSH_USER is missing. Aborting."; exit 1; }
# Deploy theme with rsync
rsync -e "ssh -o StrictHostKeyChecking=no" -avzuh --progress \
theme/* $SSH_USER@$SSH_IP:~/windycoys_theme
#Test curl is installed and Cloudflare ENV variables are set #Test curl is installed and Cloudflare ENV variables are set
hash curl 2>/dev/null || { echo >&2 "Error: curl is not installed. Aborting."; exit 1; } hash curl 2>/dev/null || { echo >&2 "Error: curl is not installed. Aborting."; exit 1; }
[ -z "$CLOUDFLARE_API_KEY" ] && { echo >&2 "Error: CLOUDFLARE_API_KEY is missing. Aborting."; exit 1; } [ -z "$CLOUDFLARE_API_KEY" ] && { echo >&2 "Error: CLOUDFLARE_API_KEY is missing. Aborting."; exit 1; }
@@ -22,4 +13,3 @@ curl -X DELETE \
--data '{"purge_everything":true}' \ --data '{"purge_everything":true}' \
"https://api.cloudflare.com/client/v4/zones/$CLOUDFLARE_IDENTIFIER/purge_cache" "https://api.cloudflare.com/client/v4/zones/$CLOUDFLARE_IDENTIFIER/purge_cache"

6869
package-lock.json generated

File diff suppressed because it is too large Load Diff

View File

@@ -28,21 +28,22 @@
"devDependencies": { "devDependencies": {
"babel-core": "^7.0.0-bridge.0", "babel-core": "^7.0.0-bridge.0",
"babel-jest": "^22.4.3", "babel-jest": "^22.4.3",
"browser-sync": "^2.23.7", "browser-sync": "^2.24.1",
"eslint": "^4.19.1", "eslint": "^4.19.1",
"eslint-config-airbnb-base": "^12.1.0", "eslint-config-airbnb-base": "^12.1.0",
"eslint-plugin-import": "^2.11.0", "eslint-plugin-import": "^2.11.0",
"jest": "^22.4.3", "jest": "^22.4.3",
"nodemon": "^1.17.3", "nodemon": "^1.17.3",
"npm-run-all": "^4.1.2", "npm-run-all": "^4.1.2",
"pre-commit": "^1.2.2",
"stylelint": "^8.4.0", "stylelint": "^8.4.0",
"stylelint-config-standard": "^18.0.0", "stylelint-config-standard": "^18.0.0",
"stylelint-selector-bem-pattern": "^2.0.0" "stylelint-selector-bem-pattern": "^2.0.0"
}, },
"dependencies": { "dependencies": {
"@babel/cli": "^7.0.0-beta.44", "@babel/cli": "^7.0.0-beta.46",
"@babel/core": "^7.0.0-beta.44", "@babel/core": "^7.0.0-beta.46",
"@babel/preset-env": "^7.0.0-beta.44", "@babel/preset-env": "^7.0.0-beta.46",
"autoprefixer": "^7.2.5", "autoprefixer": "^7.2.5",
"cssnano": "^3.10.0", "cssnano": "^3.10.0",
"normalize.css": "^8.0.0", "normalize.css": "^8.0.0",
@@ -51,10 +52,13 @@
"postcss-custom-media": "^6.0.0", "postcss-custom-media": "^6.0.0",
"postcss-custom-properties": "^6.2.0", "postcss-custom-properties": "^6.2.0",
"postcss-import": "^11.0.0", "postcss-import": "^11.0.0",
"rollup": "^0.58.1", "rollup": "^0.58.2",
"rollup-plugin-babel": "^4.0.0-beta.4", "rollup-plugin-babel": "^4.0.0-beta.4",
"rollup-plugin-uglify": "^3.0.0" "rollup-plugin-uglify": "^3.0.0"
}, },
"pre-commit": [
"test"
],
"browserslist": [ "browserslist": [
"Chrome >= 58", "Chrome >= 58",
"Firefox >= 52", "Firefox >= 52",